<?xml version="1.0" encoding="utf-8" ?><definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:s0="urn:SolicitudesEDI" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="urn:SolicitudesEDI">
<types>
<xsd:schema elementFormDefault="qualified" targetNamespace="urn:SolicitudesEDI">
<xsd:simpleType name="WLChar">
<xsd:restriction base="xsd:string">
<xsd:length value="1" fixed="true"/>
</xsd:restriction>
</xsd:simpleType>
<xsd:complexType name="tAceptar">
<xsd:sequence>
<xsd:element name="sArchivoEDIAceptada" type="xsd:string"/>
<xsd:element name="sNroSolicitud" type="xsd:string"/>
<xsd:element name="bGrabar990" type="xsd:boolean"/>
</xsd:sequence>
</xsd:complexType>
<xsd:element name="Aceptar" type="s0:tAceptar"/>
<xsd:complexType name="tAceptarResponse"/>
<xsd:element name="AceptarResponse" type="s0:tAceptarResponse"/>
<xsd:complexType name="tRechazar">
<xsd:sequence>
<xsd:element name="sArchivoEDIRechazada" type="xsd:string"/>
<xsd:element name="sNroSolicitud" type="xsd:string"/>
</xsd:sequence>
</xsd:complexType>
<xsd:element name="Rechazar" type="s0:tRechazar"/>
<xsd:complexType name="tRechazarResponse"/>
<xsd:element name="RechazarResponse" type="s0:tRechazarResponse"/>
<xsd:complexType name="tActualizarEstatus">
<xsd:sequence>
<xsd:element name="sArchivoEDIEstatus" type="xsd:string"/>
<xsd:element name="sNroSolicitud" type="xsd:string"/>
</xsd:sequence>
</xsd:complexType>
<xsd:element name="ActualizarEstatus" type="s0:tActualizarEstatus"/>
<xsd:complexType name="tActualizarEstatusResponse"/>
<xsd:element name="ActualizarEstatusResponse" type="s0:tActualizarEstatusResponse"/>
</xsd:schema>
</types>
<message name="SolicitudesEDI_Aceptar_MessageIn">
<part name="parameters" element="s0:Aceptar"/>
</message>
<message name="SolicitudesEDI_Aceptar_MessageOut">
<part name="parameters" element="s0:AceptarResponse"/>
</message>
<message name="SolicitudesEDI_Rechazar_MessageIn">
<part name="parameters" element="s0:Rechazar"/>
</message>
<message name="SolicitudesEDI_Rechazar_MessageOut">
<part name="parameters" element="s0:RechazarResponse"/>
</message>
<message name="SolicitudesEDI_ActualizarEstatus_MessageIn">
<part name="parameters" element="s0:ActualizarEstatus"/>
</message>
<message name="SolicitudesEDI_ActualizarEstatus_MessageOut">
<part name="parameters" element="s0:ActualizarEstatusResponse"/>
</message>
<portType name="SolicitudesEDISOAPPortType">
<operation name="Aceptar">
<documentation> Summary: &amp;lt;specify the procedure action&amp;gt;&lt;BR&gt; Syntax:&lt;BR&gt;Aceptar (&amp;lt;sArchivoEDIAceptada&amp;gt; is string, &amp;lt;sNroSolicitud&amp;gt; is string [, &amp;lt;bGrabar990&amp;gt; is boolean])&lt;BR&gt;&lt;BR&gt; Parameters:&lt;BR&gt;	sArchivoEDIAceptada (string): &amp;lt;specify the role of sArchivoDIOT&amp;gt;&lt;BR&gt;	sNroSolicitud (string): &amp;lt;specify the role of sNroSolicitud&amp;gt;&lt;BR&gt;	bGrabar990 (boolean - default value=0): &amp;lt;specify the role of bGrabar990&amp;gt;&lt;BR&gt; Return Value:&lt;BR&gt; 	None&lt;BR&gt;&lt;BR&gt; For instance:&lt;BR&gt; Indicate an example.&lt;BR&gt;</documentation>
<input message="s0:SolicitudesEDI_Aceptar_MessageIn"/>
<output message="s0:SolicitudesEDI_Aceptar_MessageOut"/>
</operation>
<operation name="Rechazar">
<documentation> Summary: &amp;lt;specify the procedure action&amp;gt;&lt;BR&gt; Syntax:&lt;BR&gt;Rechazar (&amp;lt;sArchivoEDIRechazada&amp;gt; is string, &amp;lt;sNroSolicitud&amp;gt; is string)&lt;BR&gt;&lt;BR&gt; Parameters:&lt;BR&gt;	sArchivoEDIRechazada (string): &amp;lt;specify the role of sArchivoDIOT&amp;gt;&lt;BR&gt;	sNroSolicitud (string): &amp;lt;specify the role of sNroSolicitud&amp;gt;&lt;BR&gt; Return Value:&lt;BR&gt; 	None&lt;BR&gt;&lt;BR&gt; For instance:&lt;BR&gt; Indicate an example.&lt;BR&gt;</documentation>
<input message="s0:SolicitudesEDI_Rechazar_MessageIn"/>
<output message="s0:SolicitudesEDI_Rechazar_MessageOut"/>
</operation>
<operation name="ActualizarEstatus">
<documentation> Summary: &amp;lt;specify the procedure action&amp;gt;&lt;BR&gt; Syntax:&lt;BR&gt;ActualizarEstatus (&amp;lt;sArchivoEDIEstatus&amp;gt; is string, &amp;lt;sNroSolicitud&amp;gt; is string)&lt;BR&gt;&lt;BR&gt; Parameters:&lt;BR&gt;	sArchivoEDIEstatus (string): &amp;lt;specify the role of sArchivoEDIEstatus&amp;gt;&lt;BR&gt;	sNroSolicitud (string): &amp;lt;specify the role of sNroSolicitud&amp;gt;&lt;BR&gt; Return Value:&lt;BR&gt; 	None&lt;BR&gt;&lt;BR&gt; For instance:&lt;BR&gt; Indicate an example.&lt;BR&gt;</documentation>
<input message="s0:SolicitudesEDI_ActualizarEstatus_MessageIn"/>
<output message="s0:SolicitudesEDI_ActualizarEstatus_MessageOut"/>
</operation>
</portType>
<binding name="SolicitudesEDISOAPBinding" type="s0:SolicitudesEDISOAPPortType">
<soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
<operation name="Aceptar">
<soap:operation soapAction="urn:SolicitudesEDI/Aceptar" style="document"/>
<input>
<soap:body use="literal"/>
</input>
<output>
<soap:body use="literal"/>
</output>
</operation>
<operation name="Rechazar">
<soap:operation soapAction="urn:SolicitudesEDI/Rechazar" style="document"/>
<input>
<soap:body use="literal"/>
</input>
<output>
<soap:body use="literal"/>
</output>
</operation>
<operation name="ActualizarEstatus">
<soap:operation soapAction="urn:SolicitudesEDI/ActualizarEstatus" style="document"/>
<input>
<soap:body use="literal"/>
</input>
<output>
<soap:body use="literal"/>
</output>
</operation>
</binding>
<service name="SolicitudesEDI">
<port name="SolicitudesEDISOAPPort" binding="s0:SolicitudesEDISOAPBinding">
<soap:address location="http://DESARROLLO9/SOLICITUDESEDI_WEB/awws/SolicitudesEDI.awws"/>
</port>
</service>
</definitions>
